How to insert/embed images within forum posts?

Home Forums BulletProof Security Pro How to insert/embed images within forum posts?

This topic contains 9 replies, has 2 voices, and was last updated by  Josh 5 months, 2 weeks ago.

Viewing 10 posts - 1 through 10 (of 10 total)
  • Author
    Posts
  • #35196

    Josh
    Participant

    How can I embed an image into a forum post. Sometimes trying to explain in text what I see takes forever to explain. Being able to simply embed a screenshot is worth a thousand words. I can put images on my Google Drive and link to those I believe, but I don’t see an option within the forum/post editor to actually embed an image.

    So are we limited to only linking to media versus embedding it on the page itself?

    Thanks,
    Josh

    #35197

    Josh
    Participant

    Got it figured out. Thanks anyways.
    There’s a stupid trick that isn’t published widely that you have to use when using Google Drive images for them to actually embed on a page. Simply putting in a sharing link within the editors “IMG” button doesn’t work.

    So my sharing link is:
    https://drive.google.com/open?id=16tc0Ds2r08uTOQ0-FO3a1xSDAp8BrAFU

    When you use the forum editors “Text” > “img” tab to insert the url to the image… pasting the above doesn’t work. (Maybe this is a google thing only.) Anyways, for me to get the Shared Google Drive image above to actually embed on the page I have manually change the URL to:
    https://drive.google.com/uc?export=view&id=16tc0Ds2r08uTOQ0-FO3a1xSDAp8BrAFU replacing the “open?id” with “uc?export=view&id”

    Josh

    #35199

    AITpro Admin
    Keymaster

    We actually prefer that folks do not embed images and just create a link to the image.  The reason for that is if you remove the image at a later time then it causes “embed” errors in the forum. 😉  Also images are not searchable so I have typed out the error message below.  I can see that the error is occurring on the WP Plugins page, but I cannot tell what the error message pertains too.  Obviously it has to do with a plugin, but there is no indication of which plugin that might be.  Are you not seeing a plugin that you were previously seeing?  If that is not the case then the only thing I can think of would be to deactivate plugins one by one to figure out which plugin this error is referring too.

    Error message:
    Warning!
    There is a new version available, but it requires a newer version of PHP or WordPress than the one you have. As a result it will not be installed.

    #35200

    Josh
    Participant

    Thanks. The warning message falls in between Akeeba Backup and BPS Pro. I’m assuming this is an Akeeba plugin issue.

    I’m going to check some other sites first. I’ll open a separate ticket for that message as this ticket was about embedding images.

    Thanks for your time,
    Josh

    #35201

    AITpro Admin
    Keymaster

    It’s fine to keep everything in this forum topic.  No need to create a new forum topic.  I will change the forum topic title if this is a BPS Pro issue.  If this is an Akeeba backup plugin issue then you would need to contact Akeeba support for the solution.

    #35202

    Josh
    Participant

    Well… I can’t tell which pluging is causing this. I’ll have to go through and disable one by one.

    I’m running the lasted version of WordPress on all sites (4.9.1), and running PHP 7.2 on all sites. I’m also running the latest version of Akeeba Backup (2.4.2) and the Media Library Folders plugin (4.1.1).

    Unless BPS Pro has an update beyond 13.4, then I’m not sure why this is popping up. But it is showing on all my WordPress sites. Hmmmmmm. I wasn’t seeing this last week when I updated all my sites to PHP 7.2.

    I’m going to use the “Manual Upgrade Check” in BPS Pro > Force Plugin Update Check button. This seemed to help clear up some weird update issues I was facing a while back.

    Thanks,
    Josh

    #35203

    AITpro Admin
    Keymaster

    I don’t think that error is related to BPS Pro.  The error message is probably related to another plugin, but it is very strange how the error message is displayed in no man’s land.  Go to the BPS Pro System Info page > click the Get Plugins List button, look at all plugins that are deactivated and cross reference them with your WP Plugins page.  The error message itself is strange and I’m pretty sure it is not valid since you have the most current version of WordPress and the most current version of PHP.

    #35204

    Josh
    Participant

    Everything is same. To me this obviously isn’t BPS Pro. It has to be something that was recently introduced as I wasn’t getting this message last week when I updated all sites to php 7.2 and reinstalled Akeeba Backup because it’s not playing nice with BPS Pro.

    Today there was an update to the Media Library Folder’s plugin. I’ll figure it out.

    Suggestions for Backup plugin?
    I want to replace the Akeeba Backup plugin. Being new to WP and the vast amount of backup plugins to choose from, I get overwhelmed easily. In your experience, can you tell me which backup plugin is tried, true and tested that would be a good choice to simply backup my site and db so I can move backups offsite with sftp and then easily restore them if need be at the same host or on localhost to do testing?

    Thanks,
    Josh

    #35205

    AITpro Admin
    Keymaster

    We only do DB Backups and not file backups.  I can’t really offer any advice on a WP Backup plugin that does both file and DB backups.  I guess you will have to do a search on wp org and check reviews/ratings and maybe do general internet searches for backup plugins to find a good one.

    #35206

    Josh
    Participant

    Sounds good. Thanks again for your time.

    Josh

Viewing 10 posts - 1 through 10 (of 10 total)

You must be logged in to reply to this topic.